class A{
	int a;
	static {
		System.out.println("static block in A");
	}
	public A(){
		System.out.println("a="+a);
		System.out.println("Constructor of A");
	}
}
class B extends A{
	private int k;

    public B(){
		System.out.println("k="+k);
		System.out.println("Constructor of B");
    }

    static {
        System.out.println("static block in B");
    }

    public static void main(String[] args){
    	new B();    
	}
}

